Subject: Re: bug#42656: term.c:1405:25: warning: ‘%d’ directive writing between 2 and 10 bytes into a region of size 3

From: Stefan Kangas <[email-masked]>
Date: Tue, 25 Aug 2020 06:38:43 -0700

Paul Eggert <[email-masked]> writes:

> I regularly get messages like that from old versions of GCC. It's better to
> ignore such messages, as we shouldn't clutter up the code merely to pacify older
> (or buggy) compilers.
>
> You can build with --disable-gcc-warnings to suppress the annoyances with older
> compilers (if you're building from Git, that is; you shouldn't need to specify
> anything if building from a tarball).

I think the consensus here is that this is a compiler bug that should be
ignored.  I'm therefore closing this bug report.